사용 중인 역할

Moses Skoda엔지니어1분 소요

API는 이 오류가 발생하면 409 Conflict 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/role-in-use입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참조하세요.

역할 <id>는 아직 서비스 API 키 2개에 할당되어 있어 삭제할 수 없습니다. 먼저 해당 키에 다른 역할을 할당하거나 키를 폐기하세요.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
idstring
apiKeysnumber | "Infinity" | "-Infinity" | "NaN"

예시#

json
{
  "detail": "Role <id> is still assigned to 2 service API keys and cannot be deleted. Give those keys a different role or revoke them first.",
  "id": "<id>",
  "apiKeys": 2,
  "type": "https://lingo.dev/docs/api/errors/role-in-use",
  "status": 409,
  "title": "Role in use"
}

이 오류를 반환하는 엔드포인트#

  • DELETE /v2/roles/{id}